/**
 * @author Joel Espinosa Longi
 * @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
 */

var diaEd = (function(diaEd) {

	var files;
	var f;
	var reader;
	var bb;
  var fileContent;
	diaEd.savedString = "";

  /**
   *
   */
  diaEd.onHandleFileSelect = function(evt) {
    files = evt.target.files;

    reader = new FileReader();
    /**
     * read the content of the file
     */
    reader.onload = function(evt) {
      fileContent = null;

      // get the dialogo var, that has the structure of the dialog
      eval(evt.target.result)

      if (dialogo) {
        fileContent = dialogo;
      }
      else {
        alert("The file does not contain a valid dialog.");
      }

      diaEd.dialog = new diaEd.Dialog(fileContent);
      diaEd.dialog.init();
      diaEd.attributesPanel.show("#dialogAttributes");
    }

    if (files.length > 0) {
      f = files[0];

      diaEd.filename = escape(f.name);
      reader.readAsText(f);
    }
  }

  /**
   *
   */
  diaEd.onSave = function(evt) {
    if (diaEd.dialog) {
      diaEd.savedString = diaEd.dialog.toString();
      bb = new Blob([diaEd.savedString], {type: "application/json"});

      // create the link to download the content
      $("#save").attr("download", diaEd.filename).attr("href", window.URL.createObjectURL(bb)).get(0).click();
    }
  }

  return diaEd;
})(diaEd || {});