/**
 * @author Joel Espinosa Longi
 * @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
 */

var diaEd = (function(diaEd) {

  /**
   * 
   */
  diaEd.GUI = function() {
    var gui = require("nw.gui");
    var guiWindow = gui.Window.get();
    // guiWindow.showDevTools();

    // Create a file item for the menu
    var fileItem = new gui.MenuItem({ label: "File" });
    // Create a file submenu
    var fileItemSubMenu = new gui.Menu();
    fileItemSubMenu.append( new gui.MenuItem({ label: "New",
                                               click: function() { $("#new_btn").click(); }
                                             }));
    fileItemSubMenu.append( new gui.MenuItem({ label: "Open",
                                               click: function() { $("#open_btn").click(); }
                                             }));
    fileItemSubMenu.append( new gui.MenuItem({ label: "Save",
                                               click: function() { $("#save_btn").click(); }
                                             }));
    fileItemSubMenu.append( new gui.MenuItem({ type: "separator" }));
    fileItemSubMenu.append( new gui.MenuItem({ label: "Close", 
                                               click: function() { $("#close_btn").click(); }
                                             }));
    fileItemSubMenu.append( new gui.MenuItem({ label: "Exit", 
                                               click: function() { guiWindow.close(); }
                                             }));
    fileItem.submenu = fileItemSubMenu;

    // Create a edit item for the menu
    var editItem = new gui.MenuItem({ label: "Edit" });
    // Create a file submenu
    // var editItemSubMenu = new gui.Menu();
    // editItemSubMenu.append( new gui.MenuItem({ label: "Add question",
    //                                             click: function() { diaEd.dialog.addQuestion(); };
    //                                          }));
    // editItemSubMenu.append( new gui.MenuItem({ label: "Add microworld",
    //                                             click: function() { diaEd.dialog.addMicromundo(); };
    //                                          }));

    // editItem.submenu = editItemSubMenu;

    // Create an empty menu
    var menu = new gui.Menu({ type: "menubar" });
    menu.append(fileItem);
    menu.append(editItem);

    guiWindow.menu = menu;

  }
  
  return diaEd;
})(diaEd || {});